<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Swarm: Swarm/mainwindow.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Swarm
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('mainwindow_8h_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">mainwindow.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef MAINWINDOW_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define MAINWINDOW_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;QtWidgets&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;entity.h&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// Time between each refresh of the window.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#define refreshTime 70</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="class_main_window.html">   10</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_main_window.html">MainWindow</a> : <span class="keyword">public</span> QGraphicsScene</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;{</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;        <span class="comment">// Constructor</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;        <a class="code" href="class_main_window.html#a34c4b4207b46d11a4100c9b19f0e81bb">MainWindow</a>();</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;        <span class="comment">// Methods</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_main_window.html#a0c75b8c1c8084615b288072723ecc9a5">mousePressEvent</a>(QGraphicsSceneMouseEvent * e);</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_main_window.html#a9c4f542263838b9ecd06eae839a42a34">keyPressEvent</a>(QKeyEvent *event);</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="class_main_window.html#a75d7910a13ccc8ee60126bf7be448341">eventFilter</a>(QObject *watched, QEvent *event);</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">public</span> slots:</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_main_window.html#a83e1ebb3fa24a18ceab1202f79b312c0">advance</a>();</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        <span class="comment">// Attributes</span></div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="class_main_window.html#a4962ef49205dd767d66fb8319506fa9d">   27</a></span>&#160;<span class="comment"></span>        QGraphicsView * <a class="code" href="class_main_window.html#a4962ef49205dd767d66fb8319506fa9d">_view</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="class_main_window.html#a07f5905b7ceb2a5351af10018262f58f">   30</a></span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="class_main_window.html#a07f5905b7ceb2a5351af10018262f58f">_infectMode</a>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;};</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#endif // MAINWINDOW_H</span></div><div class="ttc" id="class_main_window_html_a0c75b8c1c8084615b288072723ecc9a5"><div class="ttname"><a href="class_main_window.html#a0c75b8c1c8084615b288072723ecc9a5">MainWindow::mousePressEvent</a></div><div class="ttdeci">void mousePressEvent(QGraphicsSceneMouseEvent *e)</div><div class="ttdoc">Method called with each click on the mouse. At the moment, the left click is used to add an Entity to...</div><div class="ttdef"><b>Definition:</b> mainwindow.cpp:77</div></div>
<div class="ttc" id="class_main_window_html_a34c4b4207b46d11a4100c9b19f0e81bb"><div class="ttname"><a href="class_main_window.html#a34c4b4207b46d11a4100c9b19f0e81bb">MainWindow::MainWindow</a></div><div class="ttdeci">MainWindow()</div><div class="ttdoc">Constructor of MainWindow. Define the needed parameters and execute the program. </div><div class="ttdef"><b>Definition:</b> mainwindow.cpp:36</div></div>
<div class="ttc" id="class_main_window_html_a83e1ebb3fa24a18ceab1202f79b312c0"><div class="ttname"><a href="class_main_window.html#a83e1ebb3fa24a18ceab1202f79b312c0">MainWindow::advance</a></div><div class="ttdeci">void advance()</div><div class="ttdoc">Call each the advance() method for each item in the scene. </div><div class="ttdef"><b>Definition:</b> mainwindow.cpp:173</div></div>
<div class="ttc" id="class_main_window_html_a07f5905b7ceb2a5351af10018262f58f"><div class="ttname"><a href="class_main_window.html#a07f5905b7ceb2a5351af10018262f58f">MainWindow::_infectMode</a></div><div class="ttdeci">bool _infectMode</div><div class="ttdoc">bool used in mousePressEvent to add an infected Entity if _infectMdoe is true, or a non infected one ...</div><div class="ttdef"><b>Definition:</b> mainwindow.h:30</div></div>
<div class="ttc" id="class_main_window_html_a9c4f542263838b9ecd06eae839a42a34"><div class="ttname"><a href="class_main_window.html#a9c4f542263838b9ecd06eae839a42a34">MainWindow::keyPressEvent</a></div><div class="ttdeci">void keyPressEvent(QKeyEvent *event)</div><div class="ttdoc">Method called with each key pressed on the keyboard. At the moment, keys 1, 2, 3, 4 are used to activ...</div><div class="ttdef"><b>Definition:</b> mainwindow.cpp:113</div></div>
<div class="ttc" id="class_main_window_html_a75d7910a13ccc8ee60126bf7be448341"><div class="ttname"><a href="class_main_window.html#a75d7910a13ccc8ee60126bf7be448341">MainWindow::eventFilter</a></div><div class="ttdeci">bool eventFilter(QObject *watched, QEvent *event)</div><div class="ttdoc">Method used to filter and use events that passes through our MainWindow. At the moment, it is used to manage the changement in size of the window. </div><div class="ttdef"><b>Definition:</b> mainwindow.cpp:148</div></div>
<div class="ttc" id="class_main_window_html_a4962ef49205dd767d66fb8319506fa9d"><div class="ttname"><a href="class_main_window.html#a4962ef49205dd767d66fb8319506fa9d">MainWindow::_view</a></div><div class="ttdeci">QGraphicsView * _view</div><div class="ttdoc">View of the project, is contained in the scene and paints the Entities. </div><div class="ttdef"><b>Definition:</b> mainwindow.h:27</div></div>
<div class="ttc" id="class_main_window_html"><div class="ttname"><a href="class_main_window.html">MainWindow</a></div><div class="ttdoc">The MainWindow class is the window of the project. It is here that we intercept every event comming f...</div><div class="ttdef"><b>Definition:</b> mainwindow.h:10</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_31014ed4b0398a105b104fc30457303f.html">Swarm</a></li><li class="navelem"><b>mainwindow.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
